sensorfw: AccelerometerSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
AccelerometerSensorChannel Class Reference

Sensor providing accelerometer measurements. More...

`#include <accelerometersensor.h>`

Inheritance diagram for AccelerometerSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const XYZ &data)
| Sent when new measurement data has become available. More...

## Public Member Functions
XYZ | get () const
virtual void | removeSession (int sessionId)
virtual bool | downsamplingSupported () const

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for AccelerometerSensorChannel. More...

## Protected Member Functions
| AccelerometerSensorChannel (const QString &id)
virtual | ~AccelerometerSensorChannel ()

## Properties
XYZ | value

## Detailed Description

Sensor providing accelerometer measurements.

Accelerometer measurements are provided corrected to the Nokia Coordinate System.

Definition at line 48 of file accelerometersensor.h.

## Constructor & Destructor Documentation

## ◆ AccelerometerSensorChannel()

AccelerometerSensorChannel::AccelerometerSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~AccelerometerSensorChannel()

virtual AccelerometerSensorChannel::~AccelerometerSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ dataAvailable

void AccelerometerSensorChannel::dataAvailable | ( | const XYZ & | data | ) |
| signal

Sent when new measurement data has become available.

Parameters

  data | Newly measured data.

## ◆ downsamplingSupported()

virtual bool AccelerometerSensorChannel::downsamplingSupported | ( |  | ) | const
| virtual

## ◆ factoryMethod()

static AbstractSensorChannel * AccelerometerSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for AccelerometerSensorChannel.

Returns
  new AccelerometerSensorChannel as AbstractSensorChannel*.

Definition at line 60 of file accelerometersensor.h.

## ◆ get()

XYZ AccelerometerSensorChannel::get | ( |  | ) | const
| inline

Definition at line 68 of file accelerometersensor.h.

## ◆ removeSession()

virtual void AccelerometerSensorChannel::removeSession | ( | int | sessionId | ) |
| virtual

## ◆ start

bool AccelerometerSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool AccelerometerSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ value

XYZ AccelerometerSensorChannel::value
| read

Definition at line 1 of file accelerometersensor.h.

The documentation for this class was generated from the following file:

- sensors/accelerometersensor/accelerometersensor.h